[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TStringField.FixedChar

Is the string declared with a fixed length ?

## Declaration

Source position: db.pas line 477

`public property TStringField.FixedChar : Boolean read FFixedChar write FFixedChar;`

## Description

FixedChar is True if the underlying data engine has declared the field with a fixed length, as in a SQL CHAR() declaration: the field's value will then always be padded with as many spaces as needed to obain the declared length of the field. If it is False then the declared length is simply the maximum length for the field, and no padding with spaces is performed.

Documentation generated on: Feb 26 2014